summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-im/signal-cli-bin/Manifest3
-rw-r--r--net-im/signal-cli-bin/files/signal-cli-bin-0.9.2-use-working-java-version.patch33
-rw-r--r--net-im/signal-cli-bin/signal-cli-bin-0.9.2.ebuild61
3 files changed, 97 insertions, 0 deletions
diff --git a/net-im/signal-cli-bin/Manifest b/net-im/signal-cli-bin/Manifest
index bcc9ea47788..09a76831ddd 100644
--- a/net-im/signal-cli-bin/Manifest
+++ b/net-im/signal-cli-bin/Manifest
@@ -4,3 +4,6 @@ DIST signal-cli-bin-0.8.1.tar.gz 16870784 BLAKE2B e08f740fef6da4e7b1e4751e5cc831
DIST signal-cli-bin-0.8.5.README.md 5626 BLAKE2B e8a70135622a7eeaa9b4c965f75f001e641745c60a10d61ab96a014194034a1daf2ec077cb7798bf32c5f9218af6103dc9de7bbb2811b9a4aa162f55697f2232 SHA512 feed6673b56c4ac812d5038157f08bef36b48725211ad06a146a0f349c20213527eec814a5e940aacc0de0fdf7d74931fcd12a0d764df82340025a71a7f22a35
DIST signal-cli-bin-0.8.5.signal-cli.1.adoc 15222 BLAKE2B d5075011c82bb79f2de7f7b2f2cbf060428281b0f1d054e1cba09632e6e2b7dd472e8dfa3f0d7863acd9d8e93cfa51af1e241153baeb4d5f2e0e8698a158e6a1 SHA512 cd076fde6cdeca70734bb385d7dbf574fa859da9b2ba01c5dfbd8fde0f3457c400be41d790cd7cdc05932731693f4114e4708b7d42e405bf8dd6f982309c0ca2
DIST signal-cli-bin-0.8.5.tar.gz 17563403 BLAKE2B d400285d513c893475c74cbbfa7cb01391545d88e5e1504d9a5175428b31e7308cfc1c9526dc8cef4aab9a75e916a1b596f7939eeeaf5544ffb351c7dfcb3b59 SHA512 1d1931a568d9f95e020ee21dbf2d594b0d43d59e4621a7ef1ff21ab2e3cd4ea00da363bd5d86e12745015c643e4ebde4f58bec4a51be807e401ebb127430fa70
+DIST signal-cli-bin-0.9.2.README.md 5715 BLAKE2B 17be982049fd2ecadf009f2d4e2988c1d58105b2c9cf43c733a9f4e573565861be1c9707d0fd23f2c7a09e1d149671b854b98ed23da96a3df18cf3ec51cf437b SHA512 ea0f89513b9a9180d8d59fafffbe7a2ec253e0907c5666d9d9a50bc853a8ab1ec270850ca73cf3eb4d66b3c40d101ca641a00520fdbe1190c3ce3f34b775908c
+DIST signal-cli-bin-0.9.2.signal-cli.1.adoc 16754 BLAKE2B 5bb5423496c84d450eba4039c45d23da9f927470a152b59d2e6b3cea3c8f3166237964588759d70a5e17086dfc69b0da3674bdb47a4eda0e2a258e87d1f5e6ff SHA512 2e3a8075b7c45901c762e410b9ec50ee9674439af861174aa116f74e8133e0804c9ddded9593e90bf916c50f5a74205edda2691204a320dcae1db291fe52dc20
+DIST signal-cli-bin-0.9.2.tar.gz 22875145 BLAKE2B d650629e5b7667f6d40f18e4bf364843d1e348019eb47d76e73a5a48652850c17e045667409e2b3c0adf2586dc69a7423a8a502ce18dc349a48f472f764012b3 SHA512 944d6ec443d17219feebd7712e783b238017cd1a74b7595a37ca865738a83b67f1a044eb3f7b2435687fb94d20ee94353866ed33a25d3abea3bb5aa79ef8fb77
diff --git a/net-im/signal-cli-bin/files/signal-cli-bin-0.9.2-use-working-java-version.patch b/net-im/signal-cli-bin/files/signal-cli-bin-0.9.2-use-working-java-version.patch
new file mode 100644
index 00000000000..b7ead7d0327
--- /dev/null
+++ b/net-im/signal-cli-bin/files/signal-cli-bin-0.9.2-use-working-java-version.patch
@@ -0,0 +1,33 @@
+This patch searches the jre 11 binary in the gentoo specific directories.
+
+Signed-off-by: Martin Dummer <martin.dummer@gmx.net>
+
+--- a/bin/signal-cli 1970-01-02 01:00:00.000000000 +0100
++++ b/bin/signal-cli 2021-12-08 20:43:30.490613238 +0100
+@@ -118,13 +118,19 @@
+
+
+ # Determine the Java command to use to start the JVM.
+-if [ -n "$JAVA_HOME" ] ; then
+- if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+- # IBM's JDK on AIX uses strange locations for the executables
+- JAVACMD=$JAVA_HOME/jre/sh/java
+- else
+- JAVACMD=$JAVA_HOME/bin/java
+- fi
++# This package needs Java 11, but Java 11 is currently not part of the gentoo eselect config system
++# so we must search for matching java binaries
++for I in /usr/lib*/openjdk-11 /opt/openjdk-bin-11 /opt/openjdk-jre-bin-11; do
++ J_TRY="$I/bin/java"
++ if [ -x "$J_TRY" ] ; then
++ "$J_TRY" -version 2>&1 | grep --fixed-strings --quiet "11."
++ if [ $? -eq 0 ] ; then
++ JAVACMD="$J_TRY"
++ break
++ fi
++ fi
++done
++if [ -n "$JAVACMD" ] ; then
+ if [ ! -x "$JAVACMD" ] ; then
+ die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
+
diff --git a/net-im/signal-cli-bin/signal-cli-bin-0.9.2.ebuild b/net-im/signal-cli-bin/signal-cli-bin-0.9.2.ebuild
new file mode 100644
index 00000000000..e49d162dba0
--- /dev/null
+++ b/net-im/signal-cli-bin/signal-cli-bin-0.9.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="signal-cli-${PV}"
+DESCRIPTION="Send and receive messages of Signal Messenger over a command line interface"
+HOMEPAGE="https://github.com/AsamK/signal-cli/wiki"
+SRC_URI="
+ https://github.com/AsamK/signal-cli/releases/download/v${PV}/${MY_P}.tar.gz -> ${P}.tar.gz
+ https://github.com/AsamK/signal-cli/raw/v${PV}/README.md -> ${P}.README.md
+ https://github.com/AsamK/signal-cli/raw/v${PV}/man/signal-cli.1.adoc -> ${P}.signal-cli.1.adoc
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# signal-cli-bin depends on Java 11
+#
+# virtual/jre:11 exists but it's masked with this message:
+# Java 11 is not yet fully supported on Gentoo. Packages cannot depend
+# on it so these virtuals are not yet required. If you wish to use
+# Java 11 then install openjdk-(jdk|jre)-bin directly.
+
+DEPEND="
+ || ( dev-java/openjdk-jre-bin:11 dev-java/openjdk:11 dev-java/openjdk-bin:11 )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ app-text/asciidoc
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}-use-working-java-version.patch"
+)
+
+src_unpack() {
+ default
+ cp "${DISTDIR}/${P}.signal-cli.1.adoc" signal-cli.1.adoc || die
+}
+
+src_compile() {
+ default
+ a2x --no-xmllint --doctype manpage --format manpage "${WORKDIR}/signal-cli.1.adoc" || die
+}
+
+src_install() {
+ insinto /usr
+ doins -r lib
+ dobin bin/signal-cli
+ newdoc "${DISTDIR}/${P}.README.md" README.md
+ doman "${WORKDIR}/signal-cli.1"
+}
+
+pkg_postinst() {
+ elog "Please read /usr/share/doc/${PF}/README.md.bz2"
+ elog "how to register signal-cli with the signal service and how to send"
+ elog "and receive messages"
+}